# PhasicFlow: src/phasicFlow/streams/iStream/iIstream.hpp File Reference

iIstream.hpp File Reference
Include dependency graph for iIstream.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | iIstream

## Namespaces

| pFlow

## Typedefs

typedef iIstream &(* | iIstreamManip) (iIstream &)

## Functions

iIstream & | operator>> (iIstream &is, iIstreamManip f)
iIstream & | operator>> (iIstream &is, IOstreamManip f)
iIstream & | operator>> (iIstream &is, word &w)
iIstream & | operator>> (iIstream &is, int64 &val)
iIstream & | operator>> (iIstream &is, int32 &val)
iIstream & | operator>> (iIstream &is, int16 &val)
iIstream & | operator>> (iIstream &is, int8 &val)
iIstream & | operator>> (iIstream &is, uint32 &val)
iIstream & | operator>> (iIstream &is, uint16 &val)
iIstream & | operator>> (iIstream &is, label &val)
iIstream & | operator>> (iIstream &is, float &val)
iIstream & | operator>> (iIstream &is, double &val)